# 1.6.5
+ Added extra checks to *maybe* prevent some errors. Added more logs.
+ The energy bar should now automatically scale in size with the hotbar size.
+ Tweaked the UI scaling to be more consistent, and probably more friendly with other mods, such as the ReservedItemSlot mods.
# 1.6.4
+ Fixed copied item slot frames not animating.
+ Added fixes to recenter the inventory UI, and maintain the position through all window sizes. This can be disabled in the config in case of mod conflicts.<br>
Previously, the inventory UI elements were not guaranteed to be centered, and may be shifted left (or right) on certain window sizes/aspect ratios. This should keep the UI centered now.
# 1.6.3
+ Added extra checks to ensure that copied item slots in the HUD copy the texture and material as well, in case they do not.<br>
This should resolve some issues with mods who have custom textures for the item slot frames.
# 1.6.2
+ Can now swap hotbar slots while emoting (even with TooManyEmotes) by using the quick item swap hotkeys.
# 1.6.1
+ Fix for incorrect rotations on some energy bars.
+ Fix for UI elements not adjusting correctly when changing the config UI settings in-game.
# 1.6.0
+ Added energy bars for each item slot which displays the current battery level for the item in that slot. These will be hidden if the slot is empty, or if the item in the slot does not require a battery.
+ Upon closing the quick menu, any changes made to the HUD config entries will be applied to the UI automatically without needing to restart the game.
# 1.5.11
+ Revised an old section of code to prevent potential lock-ups.
# 1.5.10
+ You can now quick swap hotbar slots with the number keys while emoting, except when emoting with TooManyEmotes, unless the config in TooManyEmotes allows moving while emoting.
# 1.5.9
+ Added extra check to when you can swap item slots with the number keys. You cannot swap while emoting, or if you're dead.
# 1.5.8
+ Disabled item quick swapping when General Improvements is enabled because this causes some issues.
+ Fixed quick switching with the number keys to be compatible with clients without this mod.
# 1.5.7
+ Config sync should now regenerate correctly every time you load into a game, rather than only the first time.
# 1.5.6
+ Forgot to add to the previous changelog that quick item swapping now won't work while typing.
# 1.5.5
+ Fixed issue with quick drop not working again. (this feature will haunt me, I swear)
# 1.5.4
+ Added checks if currently dropping an object on the server before allowing the quick item swapping hotkeys.
# 1.5.3
+ Fixed quick drop delay bug that was making items disappear on non-host clients when they dropped items. (sometimes) Sorry for the recent de-sync issues!
# 1.5.2
+ Re-enabling quick item drop. Still may cause de-sync if the host doesn't have the mod.
# 1.5.1
+ Disabling the numeric hotbar shortcuts in the config should now work correctly, even with InputUtils enabled.
# 1.5.0
+ Added support for InputUtils, as a soft dependency. If this mod is enabled, you will be able to access any relevant hotkeys within the game's keybind menu.
# 1.4.8
+ Fixed issue with custom keybinds for the default emotes not working.
# 1.4.7
+ Improved stability and fixed some potential issues of desync.
# 1.4.6
+ Accidentally broke numerical hotkeys for swapping hotbar slots. Fixed now.
# 1.4.5
+ Reverting quick item drop again until I can fix the de-sync issues it's causing.
# 1.4.3
+ Picking up two handed items will now unfade your inventory hud.
+ Added configs to disable the faster item swapping, faster item dropping, and faster item activating. The intervals between these actions will be set to vanilla.
# 1.4.2
+ Fixed issue with non-host clients using their set amount of hotbar slots in the config when host does not have the mod.
# 1.4.1
+ Forgot to update the README.
# 1.4.0
+ Re-added quick item drop (chain dropping)
+ Added option to override the alpha for inventory hud fade. Can be set to 0 to fade all the way, or 1 to never fade. Vanilla is 0.13
+ Added the option to override the hotbar slot spacing to make the icons further apart, or closer together. Vanilla value is 10.
+ Added the option to override the hotbar slots size/scale. This option will automatically adjust the vertical position and spacing.
# 1.3.5
+ Re-added the reversing hotbar swapping in the config since the new vanilla setting for this also reverses the terminal scrolling.
# 1.3.4
+ Adjusted config to allow not using this mod's rebinds for the default emotes.
# 1.3.3
+ Various fixes.
+ Removed setting for reversing hotbar swapping since it's in the game now.
# 1.3.2
+ Fixed bug with "fixed" emote rebinds not working.
# 1.3.1
+ Updated to support new game update
# 1.3.0
+ Forgot to update the dll.
# 1.2.9
+ Fixed the issue preventing players from using their hotkeys to swap hotbar slots, or emoting with the rebound keys.
# 1.2.8
+ Fixed an issue where the mod would complain about reloading the config before it was created.
# 1.2.7
+ Disabling item quick drop until I fix the desync issues.
# 1.2.6
+ Old configs shouldn't persist anymore.
+ Selecting a lower amount of hotbar slots than the default 4, in the config, should now work without issues.
+ You shouldn't be able to use the numerical hotkeys to swap hotbar slots while carrying a two-handed object.
# 1.2.5
+ All clients will now sync the number of hotbar slots with the host.<br>
If the host has the number of hotbar slots set to 4 in their config, then other clients with the mod will also have 4 hotbar slots, regardless of their config settings.
# 1.2.4
+ Fix some sync issues.
+ Fixed a bug that caused pressing escape to tab in the terminal to open the menu.
# 1.2.3
+ The sync was previously only syncing to the host. It should sync between everyone properly now.
# 1.2.2
+ Synced hotbar swap slots with all clients. This will work with any hotbar size.
# 1.2.1
+ Minor fixes
# 1.2.0
+ First attempt at chain dropping items. Will tweak animation a bit to look smoother soon.
# 1.1.2
+ Emotes weren't rebinding correctly. Should be good now.
# 1.1.1
+ Fixed BepInEx dependency
# 1.1.0
+ Initial release